﻿using Syncfusion.SfDataGrid.XForms;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Xamarin.Forms;

namespace DataGridDemo
{
    public class App : Application
    {
        SfDataGrid sfGrid;
        ViewModel viewModel;
        Style style;
        public App()
        {
            sfGrid = new SfDataGrid();
            viewModel = new ViewModel();

            style = new Style(typeof(GridCell));
            style.Setters.Add(new Setter() { Property = GridCell.BackgroundColorProperty,Value = new Binding() { Path = "OrderID",Converter = new Converter() } });

            sfGrid.ItemsSource = viewModel.OrdersInfo;
            sfGrid.GridViewCreated += SfGrid_GridViewCreated;

            MainPage = new ContentPage() { Content = sfGrid };
        }

        private void SfGrid_GridViewCreated(object sender, GridViewCreatedEventArgs e)
        {
            foreach(var column in sfGrid.Columns)
            {
                if (column.MappingName == "OrderID")
                    column.CellStyle = style;
            }
        }
    }
}
